using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using System.Windows.Media;

namespace HistoryWallEditTool.ControlsForData.MediaControllerLayout
{
    public class PlayCheckBoxStyle : CheckBox
    {
        public static DependencyProperty CheckedBrushProperty =
           DependencyProperty.Register(
           "CheckedBrush",
           typeof(Brush),
           typeof(PlayCheckBoxStyle),
           null);

        public static DependencyProperty UncheckedBrushProperty =
            DependencyProperty.Register(
            "UncheckedBrush",
            typeof(Brush),
            typeof(PlayCheckBoxStyle),
            null);

        public Brush CheckedBrush
        {
            get { return (Brush)GetValue(CheckedBrushProperty); }
            set { SetValue(CheckedBrushProperty, value); }
        }

        public Brush UncheckedBrush
        {
            get { return (Brush)GetValue(UncheckedBrushProperty); }
            set { SetValue(UncheckedBrushProperty, value); }
        }
    }
}
